local unitName = "xelnaga_tower"

local unitDef = 
{
	unitname = unitName,
	-- Name
	name = "Xel'Naga Tower",
	description = "Provides vast sight",
	category = "",

	-- Costs
	buildTime = 1337,
	buildCostMetal = 1337,
	buildCostEnergy = 1337,

	-- Health
	maxDamage = 1337,
	reclaimable = false,
	capturable = false,
	canselfdestruct = false,

	-- Movement
	footprintX = 2,
	footprintZ = 2,
	maxSlope = 80,
	yardmap = "oooo",

	-- Intel
	sightdistance = 1000,

	-- Water movement
	minWaterDepth = -9001,
	maxWaterDepth = 9001,
	floater = true,

	-- Looks
	iconType = "building",
	collisionVolumeOffsets = "0 0 0",
	collisionVolumeScales = "36 80 36",
	collisionVolumeType = "box",
	objectname = "radar.s3o",
	script = "xelnaga_tower.lua",

	-- Resources
	activateWhenBuilt = false,
	onoffable = 0,
}

return lowerkeys({ [unitName] = unitDef })